#!/bin/sh

#########################################################################################
### Possible exit codes.  0 = Failure, 1 = Success, BLANK = Non-Critical failure
#########################################################################################
 
if [ $2 = 1 ]
then
 
###########################################################################################
### HTML layout for SUCCESS message to end user, 
### $1 = Email
### $2 = Exit Code
### $3 = Host Name
### $4=  List of files restored
###########################################################################################

###########################################################################################
### E-Mail handling routine.  If success, email end user and log.  
### If fail, note in log.txt
###########################################################################################

/bin/echo $3" Successful File Restore" > /etc/BackupPC/success/$1.html 
/bin/echo "" >> /etc/BackupPC/success/$1.html
/bin/echo $4 >> /etc/BackupPC/success/$1.html

/bin/mail -s $3" Successful File Restore" $1 < /etc/BackupPC/success/$1.html

else

/bin/echo $3" Restore NOT Complete" > /etc/BackupPC/failure/$1.html 
/bin/echo "" >> /etc/BackupPC/failure/$1.html
/bin/echo $4 >> /etc/BackupPC/failure/$1.html

/bin/mail -s $3" File Restore NOT Complete" $1 < /etc/BackupPC/failure/$1.html

fi
